| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | Public Attributes | List of all members
Vertex Class Reference
Inheritance diagram for Vertex:

## Public Member Functions
| Vertex ()
| Vertex (float _x, float _y, float _z)
| Vertex (float _x, float _y, float _z, unsigned char _r, unsigned char _g, unsigned char _b, unsigned char _a)
| Vertex (float _x, float _y, float _z, GlsColor &_color)
| Vertex (Vertex &_v)
bool | operator== (Vector &arg)
bool | operator!= (Vector &arg)
| typemap (out) Vertex
Vertex | operator- (Vector &arg) const
Vertex & | operator-= (Vector &arg)
Vertex | operator+ (Vector &arg) const
Vertex & | operator+= (Vector &arg)
Vertex | operator* (float s) const
Vertex & | operator*= (float s)
Vertex | operator/ (float s) const
Vertex & | operator/= (float s)
Vertex | Rotate (float angle)
Vertex | Rotate (Vector &orig, float angle)
Vertex | Rotate (Vector &orig, float angle, Vector &r)
| typemap (out) Vertex
Public Member Functions inherited from Vector
| Vector ()
| Vector (float _x, float _y, float _z)
| Vector (Vector &w)
| ~Vector ()
bool | operator!= (Vector &arg)
Vector | operator- (Vector &arg)
Vector | operator-= (Vector &arg)
Vector | operator+ (Vector &arg)
Vector | operator+= (Vector &arg)
Vector | operator* (float s)
Vector & | operator*= (float s)
Vector | operator/ (float s)
Vector & | operator/= (float s)
float | Distance3 (Vector &v)
float | Distance3Squared (Vector &v)
float | DistanceFromLineSquared (float startx, float starty, float startz, Vector &direction)
float | Distance2Squared (Vector &v)
float | Distance2 (Vector &v)
Vector | Rotate (float angle)
Vector | Rotate (Vector &orig, float angle)
Vector | Rotate (Vector &orig, float angle, Vector &r)
void | Normalize ()
float | Magnitude ()
float | MagnitudeSquared ()
Vector | CrossProduct (Vector &w)
float | DotProduct (Vector &w)
float | AngleToVector (Vector &arg)
bool | PointInTriangle (Vector &a, Vector &b, Vector &c)
bool | CloseTo (Vector &arg, float tolerance=0.0001f)
float | DistanceFromLine (Vector &start, Vector &direction)
Vector | ProjectPointToLine (Vector &origin, Vector &direction)

## Public Attributes
GlsColor | color
Public Attributes inherited from Vector
float | x
float | y
float | z

## Detailed Description

GL Studio Vertex.

## Constructor & Destructor Documentation

## ◆ Vertex() [1/5]

Vertex::Vertex | ( |  | ) |

Default constructor.

Ensures all values are initialized

## ◆ Vertex() [2/5]

Vertex::Vertex | ( | float | _x,
|  | float | _y,
|  | float | _z
| ) |  |

Position only constructor.

Color values are set to defaults

Parameters

  _x | The X value of the vertex, in logical units
  _y | The Y value of the vertex, in logical units
  _z | The Z value of the vertex, in logical units

## ◆ Vertex() [3/5]

Vertex::Vertex | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | unsigned char | _r,
|  | unsigned char | _g,
|  | unsigned char | _b,
|  | unsigned char | _a
| ) |  |

Position and color constructor.

Parameters

  _x | The X value of the vertex, in logical units
  _y | The Y value of the vertex, in logical units
  _z | The Z value of the vertex, in logical units
  _r | The R value of the color of the vertex 0-255
  _g | The G value of the color of the vertex 0-255
  _b | The B value of the color of the vertex 0-255
  _a | The A value of the color of the vertex 0-255

## ◆ Vertex() [4/5]

Vertex::Vertex | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | GlsColor & | _color
| ) |  |

Position and color constructor.

Parameters

  _x | The X value of the vertex, in logical units
  _y | The Y value of the vertex, in logical units
  _z | The Z value of the vertex, in logical units
  _color | The value of the color of the vertex

## ◆ Vertex() [5/5]

Vertex::Vertex | ( | Vertex & | _v | ) |

Copy constructor.

Parameters

  _v | The Vertex to copy from

## Member Function Documentation

## ◆ operator!=()

bool Vertex::operator!= | ( | Vector & | arg | ) |

## ◆ operator*()

Vertex Vertex::operator* | ( | float | s | ) | const

## ◆ operator*=()

Vertex & Vertex::operator*= | ( | float | s | ) |

## ◆ operator+()

Vertex Vertex::operator+ | ( | Vector & | arg | ) | const

## ◆ operator+=()

Vertex & Vertex::operator+= | ( | Vector & | arg | ) |

## ◆ operator-()

Vertex Vertex::operator- | ( | Vector & | arg | ) | const

## ◆ operator-=()

Vertex & Vertex::operator-= | ( | Vector & | arg | ) |

## ◆ operator/()

Vertex Vertex::operator/ | ( | float | s | ) | const

## ◆ operator/=()

Vertex & Vertex::operator/= | ( | float | s | ) |

## ◆ operator==()

bool Vertex::operator== | ( | Vector & | arg | ) |

## ◆ Rotate() [1/3]

Vertex Vertex::Rotate | ( | float | angle | ) |

See also
  Vector::Rotate( float ) const;

## ◆ Rotate() [2/3]

Vertex Vertex::Rotate | ( | Vector & | orig,
|  | float | angle
| ) |  |

See also
  Vector::Rotate( Vector&, float ) const;

## ◆ Rotate() [3/3]

Vertex Vertex::Rotate | ( | Vector & | orig,
|  | float | angle,
|  | Vector & | r
| ) |  |

See also
  Vector::Rotate( Vector&, float, Vector& ) const;

## ◆ typemap() [1/2]

Vertex::typemap | ( | out |  | ) |

## ◆ typemap() [2/2]

Vertex::typemap | ( | out |  | ) |

## Member Data Documentation

## ◆ color

GlsColor Vertex::color

The documentation for this class was generated from the following file:

- Vertex.i